%define name siag
%define version 3.4.7
%define release 1mdk
%define prefix %{_prefix}

Summary : Office suite.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
URL: http://siag.nu
Group: Office
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Siag Office consists of the word processor Pathetic Writer,
the spreadsheet Siag and the animation program Egon Animator.
Also included are the file manager Xfiler, the text editor Xedplus
and the Postscript viewer Gvu.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
./configure --prefix=%{_prefix} --mandir=$RPM_BUILD_ROOT%{_mandir} --with-python 

%build
%make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_prefix}/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/siag"\
title="Siag"\
longtitle="Siag Office spreadsheet"\
needs="x11"\
section="Office"
EOF
)

(cd $RPM_BUILD_ROOT
cat > ./usr/lib/menu/pw <<EOF
?package(%{name}):\
command="/usr/bin/pw"\
title="Pathetic Writer"\
longtitle="Siag Office Pathetic writer"\
needs="x11"\
section="Office"
EOF
)           

(cd $RPM_BUILD_ROOT
cat > ./usr/lib/menu/xfiler <<EOF
?package(%{name}):\
command="/usr/bin/xfiler"\
title="Xfiler"\
longtitle="Siag File manager"\
needs="x11"\
section="Applications/File tools"
EOF
) 

(cd $RPM_BUILD_ROOT
cat > ./usr/lib/menu/xedplus <<EOF
?package(%{name}):\
command="/usr/bin/xedplus"\
title="Xedplus"\
longtitle="Siag Text editor"\
needs="x11"\
section="Applications/Editors"
EOF
) 

(cd $RPM_BUILD_ROOT
cat > ./usr/lib/menu/gvu <<EOF
?package(%{name}):\
command="/usr/bin/gvu"\
title="Gvu"\
longtitle="Siag Postscript viewer"\
needs="x11"\
section="Office"
EOF
) 
 
%post
%{update_menus}
/sbin/ldconfig
 
%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}/*
%{_datadir}/%{name}/*
%{_docdir}/*
%{_mandir}/man1/*
%{_libdir}/libXawM*
%{_libdir}/siag/*
%{_menudir}/*

%changelog
* Thu Dec 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.7-1mdk
- updated to 3.4.7

* Mon Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.6-1mdk
- updated to 3.4.6

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.4-1mdk 
- updated to 3.4.4

* Tue Nov 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.3-1mdk
- updated to 3.4.3
- fix ownership of mandir :(

* Fri Oct 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.2-1mdk
- updated to 3.4.2

* Fri Oct 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.1-1mdk
- updated to 3.4.1

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.4.0-1mdk
- updated to 3.4.0
- add icons for every application
- BM
- macros

* Mon Jun 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.10-1mdk
- first Mandrake release. 


